ISXEQ2 - Feature - New #2248

Items - Trade Restricted Flag & Date
2023-11-06 03:58 PM - LostOne

Status: Implemented Start date: 2023-11-06
Priority: High Due date: 2023-12-26
Assignee: Amadeus % Done: 100%
Category: New Feature Estimated time: 0.00 hour

Target version:

vbulletin_issue_id:

Description

Trade Restricted ltems. Would be nice to get a boolean flag if an item is trade restricted and maybe even the "restricted until" date.
Most common place you see these are from the monthy membership reward when you select crates. The crates will be restricted
and if you open them all the items inside will have the same trade restricted date.

Ring of Scale Heritage Crate

FABLED

This crate will grant (1) Ring of Scale Heritage Wardrobe
Crate, (1) Ring of Scale Heritage Ingot Crate, (1) Ring of
Scale Heritage Consumables Crate and between (1) and
between 1 to 10 Jadeite Medallions.

Contains [tems:
Ring of Scale Heritage Wardrobe Crate
Y Ring of Scale Heritage Consumables Crate
| Ring of Scale Heritage Currency Crate
Ring of Scale Heritage Ingot Crate

| HEIRLOOM, NO-VALUE, NO-TRANSMUTE, NO-
SALVAGE
If you have some DBC you can buy a crate for 159:

Marketplace _"

Ring of Scale Heritage Crate

159 @,

Ring of Scale Heritage

If you don't have any DBC to burn then just let me know and | can gift one of your test toons a crate.

History

#1 - 2023-12-20 10:39 PM - Amadeus

- Due date set to 2023-12-26

- Category set to New Feature

- Status changed from New to In Progress
- Assignee set to Amadeus

- Priority changed from Normal to High

- % Done changed from 0 to 50

In progress. Just need to compare the crate from when it's trade restricted and then when the restriction is lifted. ETA: 12/26/23
#2 - 2023-12-22 01:38 AM - Amadeus
- % Done changed from 50 to 80

Version 20231212.0009 adds a new iteminfo member "TradeRestrictedDate" (string). | may be able to add a bool and/or other things once the
restriction wears off and | can compare the data. But, this really should provide what you need to check if an item has trade restrictions or not.

#3 - 2023-12-25 11:44 PM - Amadeus
- Status changed from In Progress to Implemented

- % Done changed from 80 to 100
